import request from '@/utils/request'

// 查询etype列表
export function listEtype(query) {
  return request({
    url: '/etype/etype/list',
    method: 'get',
    params: query
  })
}

// 查询etype详细
export function getEtype(number) {
  return request({
    url: '/etype/etype/' + number,
    method: 'get'
  })
}

// 新增etype
export function addEtype(data) {
  return request({
    url: '/etype/etype',
    method: 'post',
    data: data
  })
}

// 修改etype
export function updateEtype(data) {
  return request({
    url: '/etype/etype',
    method: 'put',
    data: data
  })
}

// 删除etype
export function delEtype(number) {
  return request({
    url: '/etype/etype/' + number,
    method: 'delete'
  })
}
